Page 1 of 1

xammpp 1.8.0: mod_perl not installed

PostPosted: 10. August 2012 16:29
by fmartine
Hello,

downloaded xampp version 1.8.0 for windows, installed without any error message, however mod_perl
is not included in the package.
no mod_perl.so module found
trying the basic test and try to get a page that does not exist, I get:
localhost Apache/2.4.2(Win32) OpenSSL/1.0.1c PHP/5.4.4

--> so no PERL installed ???

same problem with installable version and with zipped install...

however I can see on the forum that some people have it installed, because when trying the 404 page,
the server response shows mod_perl 2.0.5.

Re: xammpp 1.8.0: mod_perl not installed

PostPosted: 10. August 2012 20:39
by JonB
--> so no PERL installed ???


Yes - Perl 5.16 via the shebang line method -

AFAIK - there is not a build/source for 2.4.2 yet. That is 'just my read on it'. It looks like someone was careless on the XAMPP packaging info.

http://perl.apache.org/download/index.html

If someone is running 2.0.5 with Apache 2.4.2/XAMPP 1.8.0, I am guessing it was 'grafted'.

http://perl.apache.org/download/index.html

This was the Search Term I used:
mod_perl 2.05 Apache 2.4.2


Good Luck
8)